package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Description: 阅卷导入
 * @Author: CaoZixuan
 * @Date: 2024-03-09
 */
public class MarkStudentImportDto {

    @ApiModelProperty("课程名称")
    @ExcelProperty(name = "课程名称", width = 10, index = 1)
    @ExcelNote(value = "课程名称")
    @NotNull
    private String courseName;

    @ApiModelProperty("课程编号")
    @ExcelProperty(name = "课程编号", width = 10, index = 2)
    @ExcelNote(value = "课程编号")
    @NotNull
    private String courseCode;

    @ApiModelProperty("试卷编号")
    @ExcelProperty(name = "试卷编号", width = 10, index = 3)
    @ExcelNote(value = "试卷编号")
    @NotNull
    private String paperNumber;

    @ApiModelProperty("姓名")
    @ExcelProperty(name = "姓名", width = 10, index = 4)
    @ExcelNote(value = "姓名")
    @NotNull
    private String studentName;

    @ApiModelProperty("学号")
    @ExcelProperty(name = "学号", width = 10, index = 5)
    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ApiModelProperty("学院")
    @ExcelProperty(name = "学院", width = 10, index = 6)
    @ExcelNote(value = "学院")
    private String college;

    @ApiModelProperty("专业")
    @ExcelProperty(name = "专业", width = 10, index = 7)
    @ExcelNote(value = "专业")
    private String major;

    @ApiModelProperty("班级")
    @ExcelProperty(name = "班级", width = 10, index = 8)
    @ExcelNote(value = "班级")
    private String clazz;

    @ApiModelProperty("考试日期")
    @ExcelProperty(name = "考试日期", width = 10, index = 9)
    @ExcelNote(value = "考试日期")
    private String examDate;

    @ApiModelProperty("考试时间")
    @ExcelProperty(name = "考试时间", width = 10, index = 10)
    @ExcelNote(value = "考试时间")
    private String examTime;

    @ApiModelProperty("考点")
    @ExcelProperty(name = "考点", width = 10, index = 11)
    @ExcelNote(value = "考点")
    private String examPlace;

    @ApiModelProperty("考场")
    @ExcelProperty(name = "考场", width = 10, index = 12)
    @ExcelNote(value = "考场")
    private String examRoom;

    @ApiModelProperty("异常信息")
    private String errorMsg;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
